PDFLayer (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.pdf

## Class PDFLayer

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFIdentifiedDictionary
      - - org.apache.fop.pdf.PDFLayer

- All Implemented Interfaces:
    PDFWritable

      public class PDFLayer
      extends PDFIdentifiedDictionary

  Optional Content Group Dictionary, which we will call a 'layer'.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PDFLayer.Resolver`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFLayer(java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `output(java.io.OutputStream stream)` Write the PDF represention of this object
    `void` | `populate(java.lang.Object name, java.lang.Object intent, java.lang.Object usage)`
    `void` | `setResolver(PDFLayer.Resolver resolver)`

    - ### Methods inherited from class org.apache.fop.pdf.PDFIdentifiedDictionary

      `getId, hasId`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFLayer

          public PDFLayer(java.lang.String id)

  - ### Method Detail

    - #### output

          public int output(java.io.OutputStream stream)
                     throws java.io.IOException

      Description copied from class: `PDFDictionary`
      Write the PDF represention of this object
      Overrides:
        `output` in class `PDFDictionary`
      Parameters:
        `stream` - the stream to write the PDF to
      Returns:
        the number of bytes written
      Throws:
        `java.io.IOException` - if there is an error writing to the stream

    - #### setResolver

          public void setResolver(PDFLayer.Resolver resolver)

    - #### populate

          public void populate(java.lang.Object name,
                               java.lang.Object intent,
                               java.lang.Object usage)

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.